Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 235642 - useradd compile warning
Summary: useradd compile warning
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: shadow-utils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Peter Vrabec
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-08 23:55 UTC by Wolfgang Denk
Modified: 2007-11-30 22:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 10:26:40 UTC


Attachments (Terms of Use)

Description Wolfgang Denk 2007-04-08 23:55:50 UTC
Description of problem:

compiler warning when building useradd tool.

Version-Release number of selected component (if applicable):

shadow-utils-4.0.18.1-12.fc7.src.rpm

How reproducible:


Steps to Reproduce:
1. Build shadow-utils
2. Read compiler warnings
3.
  
Actual results:

warnings generated.

Expected results:

no warnings.

Additional info:

Patch "shadow-4.0.16-lOption.patch" includes this hunk:

        --- shadow-4.0.17/src/useradd.c.lOption 2006-11-02 18:23:50.000000000 +0100
        +++ shadow-4.0.17/src/useradd.c 2006-11-02 18:26:46.000000000 +0100
        @@ -124,6 +124,7 @@
             Gflg = 0,                  /* secondary group set for new account */
             kflg = 0,                  /* specify a directory to fill new user
directory */
             mflg = 0,                  /* create user's home directory if it
doesn't exist */
        +    lflg = 0;                  /* do not add user to lastlog database
file */
             Mflg = 0,                   /* do NOT create user's home directory
no matter what */
             nflg = 0,                   /* do NOT create a group having the
same name as the user */
             oflg = 0,                  /* permit non-unique user ID to be
specified with -u */

  The semicolon after the 'lflg' entry is wrong; it must be  replaced
  by comma, like in all the other lines.

Comment 1 Peter Vrabec 2007-04-10 10:26:40 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.